[master] package likewise-open 5.4.0.42111-2ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Bug #655533 reported by Vince Marsters on 2010-10-06
28
This bug affects 6 people
Affects Status Importance Assigned to Milestone
likewise-open (Ubuntu)
High
James Page
Natty
High
Unassigned
Oneiric
High
James Page

Bug Description

Binary package hint: likewise-open

Running an update via update manager which tried to installed the new version of likewise-open at that time. The package is not showing as up-datable now.

ProblemType: Package
DistroRelease: Ubuntu 10.10
Package: likewise-open 5.4.0.42111-2ubuntu2
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Wed Oct 6 08:10:02 2010
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100406.1)
SourcePackage: likewise-open
Title: package likewise-open 5.4.0.42111-2ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Vince Marsters (vincemarsters) wrote :
Michael Vogt (mvo) wrote :

Here is the error:
Setting up likewise-open (5.4.0.42111-2ubuntu2) ...

Stopping service reverse dependency: lsass

Stopping service reverse dependency: npfs

Stopping service reverse dependency: rdr

Stopping service reverse dependency: lwio

Stopping service reverse dependency: netlogon

Stopping service: lwreg

 * Stopping Likewise Service Manager: lwsmd 
[ OK ]

 * Starting Likewise Service Manager: lwsmd 
[ OK ]

Starting service: lwreg

 * Reloading Likewise Service Manager configuration 
[ OK ]

Starting service dependency: netlogon

Starting service dependency: lwio

Starting service dependency: rdr

Starting service dependency: npfs

Starting service: lsass

dpkg: error processing likewise-open (--configure):

 subprocess installed post-installation script returned error exit status 1

Looks like the same issue as #655545

Changed in likewise-open (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Michael Vogt (mvo) wrote :

Setting to confirmed based on the amount of dupes with a similar terminal log trace. It may be bug #610300 but I don't know enough about the package to judge that.

Michael Vogt (mvo) wrote :

It appears its either failing in (from the terminal log and the postinst):

        # This will start all the sevices and hook things up in /etc/rc[0-6].d
        $DOMAINJOIN query > /dev/null 2>&1
or
        pam-auth-update --package

Unfortunately not much of a error message.

Michael Vogt (mvo) wrote :

I just tried to reproduce this error in a clean VM but for me it upgraded fine. So I was not able to reproduce the problem.

summary: - package likewise-open 5.4.0.42111-2ubuntu2 failed to install/upgrade:
- subprocess installed post-installation script returned error exit status
- 1
+ [master] package likewise-open 5.4.0.42111-2ubuntu2 failed to
+ install/upgrade: subprocess installed post-installation script returned
+ error exit status 1
Vince Marsters (vincemarsters) wrote :

Not sure if this will help but I've just run another update and got the errors with Likewise-open again although it appears to be installed according to Synaptic.

The following errors appeared in the listed log files -

E: likewise-open: subprocess installed post-installation script returned error exit status 1
E: likewise-open-gui: dependency problems - leaving unconfigured
E: likewise-open-server: dependency problems - leaving unconfigured
E: likewise-open5: dependency problems - leaving unconfigured
E: likewise-open5-eventlog: dependency problems - leaving unconfigured
E: likewise-open5-gui: dependency problems - leaving unconfigured
E: likewise-open5-libs: dependency problems - leaving unconfigured
E: likewise-open5-lsass: dependency problems - leaving unconfigured
E: likewise-open5-netlogon: dependency problems - leaving unconfigured
E: likewise-open5-rpc: dependency problems - leaving unconfigured

LSASS errors in var/log/messages

Oct 6 12:40:30 pcname lwsmd: Starting service: lsass
Oct 6 12:40:30 pcname lsassd[22218]: 0x7fd5c1d44760:Couldn't start lsarpc rpc server (error: 40140)
Oct 6 12:40:30 pcname lsassd[22218]: 0x7fd5c1d44760:Couldn't start samr rpc server (error: 40140)
Oct 6 12:40:30 pcname lsassd[22218]: 0x7fd5c1d44760:Couldn't start dssetup rpc server (error: 40140)
Oct 6 12:40:30 pcname lsassd[22218]: 0x7fd5b477c710:ldap_gssapi_bind_s failed with error code 48
Oct 6 12:40:30 pcname lsassd[22218]: 0x7fd5b477c710:ldap_gssapi_bind_s failed with error code 48

Likewise-open errors in var/log/dpkg.log

2010-10-06 12:40:33 configure likewise-open 5.4.0.42111-2ubuntu2 5.4.0.42111-2ubuntu2
2010-10-06 12:40:33 status half-configured likewise-open 5.4.0.42111-2ubuntu2

Scott Salley (ssalley) wrote :

I think this *may* be a duplicate of lp: #605326. I think that because DpkgTerminalLog shows winbind installed not long before likewise-open.

Michael Vogt (mvo) wrote :

I just looked at this again as it appears in the automatic-upgrade-tester:
http://people.canonical.com/~mvo/automatic-upgrade-testing/current/main-all/bootstrap.log
(warning, loooooong logfile)

The error is:
-------------------------------------------------------
errors were encountered while processing:

 likewise-open

Exception during pm.DoInstall(): E:Sub-process /usr/bin/dpkg returned an error code (1)

Setting up likewise-open (6.0.0.53010-4ubuntu3) ...
Error: /usr/sbin/lwsmd --start-as-daemon --disable-autostart returned 1

dpkg: error processing likewise-open (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 likewise-open
-------------------------------------------------------

This does not happen in a clean VM with only likewise-open installed nor with winbind and likewise-open.

Scott Salley (ssalley) wrote :

A newer version of likewise-open (6.0.0.53010-4ubuntu5) which fixed upgrade issues in my test environment has been committed.

Dave Walker (davewalker) wrote :

@Scott, Do you believe the package currently in the archive resolves this issue?

likewise-open (6.0.0.53010-4ubuntu5) natty; urgency=low

  * modified debian/patches/add-missing-lwconfig.diff to correct the paths in
    file /var/lib/likewise-open/lwconfig.xml (LP: #752910)
 -- Scott Salley <<email address hidden> (ssalley: 753) > Wed, 6 Apr 2011 14:29:02 -0800

Thanks.

tags: added: server-nrs
Scott Salley (ssalley) wrote :

@Dave, I'm not sure if likewise-open (6.0.0.53010-4ubuntu5) fixes LP#655533. The logs that this bug was submitted with suggests the problem may be because pam-auth-update couldn't arrange for likewise-open in the PAM stack because of changes made by winbind. I have since marked the likewise-open package as conflicting with winbind. But I don't remember if I tested that scenario at the time and I certainly have not done so in likewise-open (6.0.0.53010-4ubuntu5).

My previous reply (#9) was to Michael Vogt (#8) and the particular problem he brought up and I thought we were in a bug about the natty release.

Dave Walker (davewalker) on 2011-04-18
Changed in likewise-open (Ubuntu Natty):
milestone: none → ubuntu-11.04
Changed in likewise-open (Ubuntu Oneiric):
milestone: ubuntu-11.04 → none
Changed in likewise-open (Ubuntu Natty):
milestone: ubuntu-11.04 → natty-updates
tags: added: rls-mgr-o-tracking
Dave Walker (davewalker) on 2011-09-16
tags: added: server-o-rs
Dave Walker (davewalker) on 2011-09-23
Changed in likewise-open (Ubuntu):
milestone: none → ubuntu-11.10
James Page (james-page) on 2011-09-28
Changed in likewise-open (Ubuntu Oneiric):
assignee: nobody → James Page (james-page)
Dave Walker (davewalker) wrote :

Following upgrade, I can confirm I was able to upgrade from Natty to Oneiric without encountering this issue.

Thanks!

likewise-open (6.1.0.406-0ubuntu4) oneiric; urgency=low

  [ Scott Salley ]
  * d/patches/config-fixes-for-verbose-make.patch: resolve issues with
    verbose build/makekit causing issues with init scripts (LP: #845477).

  [ James Page ]
  * d/likewise-open.postinst: Disable npfs component as no longer part
    of likewise-open (LP: #854971). Thanks to Scott Salley for this fix.

 -- James Page <email address hidden> Wed, 28 Sep 2011 20:15:24 +0100

Changed in likewise-open (Ubuntu Oneiric):
status: Confirmed → Fix Released
dino99 (9d9) wrote :
Changed in likewise-open (Ubuntu Natty):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers